> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dqlabs.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Cost Performance

> Get cost performance for a specific asset.

<script type="application/ld+json">
  {`{
            "@context": "https://schema.org",
            "@type": "TechArticle",
            "headline": "Cost Performance",
            "description": "Get cost performance for a specific asset.",
            "url": "https://docs.dqlabs.ai/api-reference/core/cost-performance",
            "publisher": {
              "@type": "Organization",
              "name": "DQLabs Inc",
              "logo": "https://media.brand.dev/332adc35-5bc4-4d2b-bf78-256aa4a5e414.svg"
            }
            }`}
</script>

`POST /api/v1/core/cost_performance/{assetId}`

Get cost performance for a specific asset.

**Path Parameters**

<ParamField path="assetId" type="string" required={true}>
  Example: `3fa85f64-5717-4562-b3fc-2c963f66afa6`
</ParamField>

**Response**

<ResponseField name="success" type="boolean">Whether the request completed successfully</ResponseField>

<ResponseField name="message" type="string">Human-readable result message</ResponseField>

<ResponseField name="timestamp" type="string">ISO 8601 server timestamp</ResponseField>

<ResponseField name="correlation_id" type="string">Unique ID for this request</ResponseField>

<ResponseField name="data" type="object">
  <ResponseField name="data" type="object[]" />

  <ResponseField name="total_count" type="integer">
    Example: `0`.
  </ResponseField>

  <ResponseField name="metrics" type="object[]" />
</ResponseField>

**Example**

<CodeGroup>
  ```bash cURL theme={null}
  curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/core/cost_performance/{assetId}" \
    -H "Authorization: Bearer <YOUR_API_TOKEN>" \
    -H "Content-Type: application/json" \
    -d '{}'
  ```
</CodeGroup>

```json Response theme={null}
{
  "success": true,
  "message": "Get cost performance for a specific asset.",
  "timestamp": "2026-09-21T09:43:50.316067+00:00",
  "correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
  "data": {
    "data": [],
    "total_count": 0,
    "metrics": []
  }
}
```
